diff options
Diffstat (limited to 'src/contrib/service/abd/test_abd_issue.sh')
-rwxr-xr-x | src/contrib/service/abd/test_abd_issue.sh | 46 |
1 files changed, 46 insertions, 0 deletions
diff --git a/src/contrib/service/abd/test_abd_issue.sh b/src/contrib/service/abd/test_abd_issue.sh new file mode 100755 index 000000000..8076aa921 --- /dev/null +++ b/src/contrib/service/abd/test_abd_issue.sh | |||
@@ -0,0 +1,46 @@ | |||
1 | #!/usr/bin/env bash | ||
2 | trap "gnunet-arm -e -c test_abd_lookup.conf" SIGINT | ||
3 | |||
4 | LOCATION=$(which gnunet-config) | ||
5 | if [ -z $LOCATION ] | ||
6 | then | ||
7 | LOCATION="gnunet-config" | ||
8 | fi | ||
9 | $LOCATION --version 1> /dev/null | ||
10 | if test $? != 0 | ||
11 | then | ||
12 | echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" | ||
13 | exit 77 | ||
14 | fi | ||
15 | |||
16 | rm -rf `gnunet-config -c test_abd_lookup.conf -s PATHS -o GNUNET_HOME -f` | ||
17 | |||
18 | # (1) PKEY1.user -> PKEY2.resu.user | ||
19 | # (2) PKEY2.resu -> PKEY3 | ||
20 | # (3) PKEY3.user -> PKEY4 | ||
21 | |||
22 | |||
23 | which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 30" | ||
24 | |||
25 | TEST_ATTR="test" | ||
26 | gnunet-arm -s -c test_abd_lookup.conf | ||
27 | gnunet-identity -C testissuer -c test_abd_lookup.conf | ||
28 | gnunet-identity -C testsubject -c test_abd_lookup.conf | ||
29 | SUBJECT_KEY=$(gnunet-identity -d -c test_abd_lookup.conf | grep testsubject | awk '{print $3}') | ||
30 | ISSUER_KEY=$(gnunet-identity -d -c test_abd_lookup.conf | grep testissuer | awk '{print $3}') | ||
31 | |||
32 | # Get abd and store it with subject (3) | ||
33 | SIGNED=`$DO_TIMEOUT gnunet-abd --signSubjectSide --ego=testissuer --attribute=$TEST_ATTR --subject=$SUBJECT_KEY --ttl="2019-12-12 10:00:00" -c test_abd_lookup.conf` | ||
34 | |||
35 | STATUS=$? | ||
36 | |||
37 | if test $? != 0 | ||
38 | then | ||
39 | echo "Error issuing..." | ||
40 | exit 1 | ||
41 | fi | ||
42 | #Try import | ||
43 | $DO_TIMEOUT gnunet-abd --createSubjectSide --ego=testsubject --import="$SIGNED" --private -c test_abd_lookup.conf | ||
44 | RES=$? | ||
45 | gnunet-arm -e -c test_abd_lookup.conf | ||
46 | exit $RES | ||